Review auto-discovery invocation suggestions
POST/v1/ai/entities-auto-discovery/:invocation_id/review
This route allows you to review suggestions for an auto-discovery invocation. You can accept or reject individual suggestions, or accept or reject all suggestions at once.
To learn more about the auto-discovery feature, see the documentation.
Request
Parameters (JSON)
{
"parameters": [
{
"schema": {
"type": "string",
"pattern": "^[0-9a-f]{24}$"
},
"in": "path",
"name": "invocation_id",
"required": true,
"description": "The ID of the auto-discovery invocation returned by the create auto-discovery invocation endpoint."
}
]
}Request body schema (JSON)
{
"title": "Body",
"body": {
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"actions": {
"type": "array",
"items": {
"oneOf": [
{
"type": "object",
"properties": {
"entityIdentifier": {
"type": "string",
"description": "The identifier of the entity to accept."
},
"action": {
"type": "string",
"enum": [
"accept"
]
}
},
"required": [
"entityIdentifier",
"action"
],
"title": "Accept suggestion"
},
{
"type": "object",
"properties": {
"entityIdentifier": {
"type": "string",
"description": "The identifier of the entity to reject."
},
"action": {
"type": "string",
"enum": [
"reject"
]
},
"rejectionReason": {
"description": "The reason for rejecting the entity.",
"type": "string"
}
},
"required": [
"entityIdentifier",
"action"
],
"title": "Reject suggestion"
}
]
}
},
"bulkAction": {
"oneOf": [
{
"type": "object",
"properties": {
"action": {
"type": "string",
"enum": [
"accept_all"
],
"description": "Accept all suggestions."
}
},
"required": [
"action"
],
"title": "Accept all suggestions"
},
{
"type": "object",
"properties": {
"action": {
"type": "string",
"enum": [
"reject_all"
],
"description": "Reject all suggestions."
},
"rejectionReason": {
"description": "The reason for rejecting all suggestions.",
"type": "string"
}
},
"required": [
"action"
],
"title": "Reject all suggestions"
}
]
}
}
}
}
}
}
}Responses
- 200
- 500
Default Response
Default Response
Responses (JSON)
{
"responses": {
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"ok": {
"type": "boolean"
},
"reviewedCount": {
"type": "number",
"description": "The number of suggestions reviewed."
},
"acceptedCount": {
"type": "number",
"description": "The number of suggestions accepted."
},
"rejectedCount": {
"type": "number",
"description": "The number of suggestions rejected."
},
"ingestErrorCount": {
"type": "number",
"description": "The number of suggestions that failed to be ingested."
},
"errors": {
"type": "array",
"items": {
"type": "object",
"properties": {
"entityIdentifier": {
"type": "string",
"description": "The identifier of the entity that failed to be ingested."
},
"errorMessage": {
"type": "string",
"description": "The error message of the entity that failed to be ingested."
}
},
"required": [
"entityIdentifier",
"errorMessage"
],
"additionalProperties": false
}
}
},
"required": [
"ok",
"reviewedCount",
"acceptedCount",
"rejectedCount",
"ingestErrorCount",
"errors"
],
"additionalProperties": false
}
}
}
},
"500": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"ok": {
"type": "boolean"
},
"error": {
"type": "string"
},
"message": {
"type": "string"
},
"details": {
"type": "object",
"additionalProperties": {}
}
},
"required": [
"ok",
"error"
],
"additionalProperties": false
}
}
}
}
}
}